Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455780 - Audioscrobbler plugin fails
Summary: Audioscrobbler plugin fails
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: decibel-audio-player
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 17:50 UTC by Tim Broderick
Modified: 2008-09-10 07:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-06 17:20:33 UTC


Attachments (Terms of Use)

Description Tim Broderick 2008-07-17 17:50:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9) Gecko/20080528 Fedora/2.22.2-2.fc9 Epiphany/2.22 Firefox/3.0

Description of problem:
When turning on the audioscrobbler plugin, it doesn't work and program hangs. Force quit is required to close program. 

Version-Release number of selected component (if applicable):
decibel-audio-player-0.10-1.fc9.noarch

How reproducible:
Always


Steps to Reproduce:
1.Start decibel-audio-player
2.Turn on audioscrobbler, Edit->Prefences->Audioscrobller
3.Play audio file

Actual Results:
Traceback from gnome-terminal shows:

  File "/usr/share/decibel-audio-player/src/modules/__init__.py", line 197, in __gtkExecute
    self.gtkResult = func()
  File "/usr/share/decibel-audio-player/src/modules/AudioScrobbler.py", line 143, in getAuthInfo
    if self.login is None: auth = authentication.getAuthInfo('last.fm', _('your Last.fm account'))
  File "/usr/share/decibel-audio-player/src/gui/authentication.py", line 101, in getAuthInfo
    authInfo = __loadAuthInfo(id)
  File "/usr/share/decibel-audio-player/src/gui/authentication.py", line 43, in __loadAuthInfo
    except gk.AlreadyExistsError:
UnboundLocalError: local variable 'gk' referenced before assignment


Expected Results:
Gnome-keyring should launch as well as dialog to enter last.fm username and password.

Additional info:

Comment 1 Tim Broderick 2008-07-18 13:54:55 UTC
Found a solution. Installing gnome-python2-gnomekeyring solved the problem.
Gnome-keyring now launches when using the audioscrobbler plugin and decibel no
longer hangs on close.

gnome-python2-gnomekeyring should be added as a dependency.

Comment 2 Fedora Update System 2008-07-24 04:26:13 UTC
decibel-audio-player-0.10-2.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-07-24 04:27:12 UTC
decibel-audio-player-0.10-2.fc9 has been submitted as an update for Fedora 9

Comment 4 Debarshi Ray 2008-07-24 04:28:29 UTC
Thank you for the bug report and the suggested solution. This should be fixed in
decibel-audio-player-0.10-2.fc9.

Comment 5 Fedora Update System 2008-09-10 06:34:50 UTC
decibel-audio-player-0.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-09-10 07:03:21 UTC
decibel-audio-player-0.10-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.